version: '3.8'

services:
  szuru-eink-bot:
    build: .
    container_name: szuru-eink-bot
    environment:
      - SZURU_URL=YOUR_SZURU_URL
      - SZURU_USER=YOUR_SZURU_USER
      - SZURU_TOKEN=YOUR_SZURU_TOKEN
      - EPD_TYPE=YOUR_EPD_TYPE # e.g., '7.5 V2', 5.65f
      - EINK_IP=YOUR_EINK_IP
      - DITHERING_MODE=YOUR_DITHERING_MODE # e.g., mono, color
    volumes:
      - ./logs:/var/log'
